#cssmenu {
  margin: 0;
  line-height: 1;
  background-color: #fff;
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 5;
  top: 0;
  left: 0;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
  text-align: center;
  .closebtn {
    position: absolute;
    top: 0;
    right: 15px;
    font-size: 50px;
    color: #223555;
  }
  li.last {
    a {
      border-bottom: none;
    }
  }
  li.has-sub {
    svg {
      margin-right: 5px;
    }
  }
}

.menu-bar {
  transform: scale(3);
  color: #223555;
  position: absolute;
  right: 0;
  left: 0;
  top: 50px;
  display: block;
  margin: auto;
  cursor: pointer;
}

.align-right {
  float: right;
}

#cssmenu ul {
  margin: 0;
  padding: 0;
  list-style: none;
  display: block;
}

#cssmenu ul li {
  position: relative;
  margin: 0;
  padding: 0;
}

#cssmenu ul li a {
  text-decoration: none;
  cursor: pointer;
}

#cssmenu > ul > li > a {
  color: #848282;
  text-transform: uppercase;
  display: block;
  padding: 20px;
  margin: 0 200px;
  border-bottom: solid 1px #777777;
  background: #fff;
  letter-spacing: 1px;
  font-size: 16px;
  font-weight: 300;
  -webkit-transition: all 0.25s ease-in;
  transition: all 0.25s ease-in;
  position: relative;
}

#cssmenu > ul > li:hover > a,
#cssmenu > ul > li.open > a,
#cssmenu > ul > li.active > a {
  color: #223555;
}

#cssmenu ul ul {
  display: none;
}

#cssmenu ul ul li a {
  display: block;
  position: relative;
  margin: 0 250px;
  font-size: 15px;
  padding: 14px 20px;
  border-bottom: solid 1px #777777;
  color: #777777;
  -webkit-transition: all 0.25s ease-in;
  transition: all 0.25s ease-in;
}

#cssmenu ul ul li:first-child > a {
  padding-top: 18px;
}

#cssmenu ul ul ul li {
  border: 0;
}

#cssmenu ul ul li:hover > a,
#cssmenu ul ul li.open > a,
#cssmenu ul ul li.active > a {
  color: #223555;
  background-color: transparent;
}

#cssmenu ul ul ul li a {
  padding-left: 30px;
}

nav {
  width: 1100px;
  margin: auto;
  padding: 0 !important;
  position: static;
  z-index: 4;
  .dropdown-toggle {
    &.active {
      &:before {
        opacity: 1 !important;
      }
    }
    &:after {
      display: none;
    }
    svg {
      margin-right: 5px;
      position: relative;
      top: 2px;
    }
  }

  .dropdown-menu {
    width: 1100px;
    right: -80px !important;
    border: none;
    border-radius: 0;
    position: absolute;
    top: calc(100% - 2px);
    &.second {
      right: -188px !important;
    }
    .dropdown-item {
      text-align: center;
      color: #848282;
      transition: 0.5s;

      &.active {
        color: #223555;
        background-color: transparent;
      }

      &:hover {
        color: #223555;
      }

      &:focus {
        background-color: transparent;
      }
    }

    .d-flex {
      width: 500px;
    }
  }

  .navbar-collapse {
    background-color: #223555;
  }

  a {
    padding: 25px 15px !important;
    transition: 0.2s;
  }

  .navbar-nav {
    padding-right: 5px;

    .nav-item {
      .nav-link {
        position: relative;
        &:after,
        &:before {
          content: "";
          width: 70px;
          height: 5px;
          background-color: #b89b5e;
          position: absolute;
          bottom: -3px;
          right: 0;
          left: 0;
          margin: auto;
          opacity: 0;
          transition: 0.5s;
        }
      }
      &.active {
        .nav-link {
          &:before {
            opacity: 1;
          }
        }
      }
      &.show {
        .nav-link {
          &:before {
            opacity: 1;
          }
        }
      }

      .nav-link {
        color: #fff !important;
        border-bottom: solid 3px #223555;
        font-family: "vazirLight";
        font-size: 17px;

        &:hover {
          &:before {
            opacity: 1;
          }
        }
      }
    }
  }
}
